Bug 243258 - graphics/glfw: Update to 3.3.2
Summary: graphics/glfw: Update to 3.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-01-10 22:55 UTC by Neel Chauhan
Modified: 2020-03-08 09:30 UTC (History)
2 users (show)

See Also:
neel: maintainer-feedback+


Attachments
Patch (Revision 1) (740 bytes, patch)
2020-01-10 22:55 UTC, Neel Chauhan
koobs: maintainer-approval-
Details | Diff
Patch (Revision 2) (1.05 KB, patch)
2020-01-12 04:31 UTC, Neel Chauhan
neel: maintainer-approval+
Details | Diff
Patch (Revision 3) (1.05 KB, patch)
2020-01-28 16:34 UTC, Neel Chauhan
neel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2020-01-10 22:55:49 UTC
Created attachment 210604 [details]
Patch (Revision 1)

Builds on FreeBSD 12.1 amd64.
Comment 1 Tobias C. Berner freebsd_committer 2020-01-11 09:11:19 UTC
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/libglfw.so.%%MAJVER%%.%%MAJVER%%
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: lib/libglfw.so.%%VERSION%%
===> Error: Plist issues found.
Comment 2 Neel Chauhan 2020-01-12 04:31:12 UTC
Created attachment 210650 [details]
Patch (Revision 2)
Comment 3 Tobias C. Berner freebsd_committer 2020-01-17 17:27:08 UTC
This is may evaluate to the proper value, but it does not really make sense: %%MAJVER%%.%%MAJVER%%
Comment 4 Neel Chauhan 2020-01-28 16:34:17 UTC
Created attachment 211132 [details]
Patch (Revision 3)

Update to 3.3.2.

This has to use %%MAJVER%%.%%MAJVER%% because I was not able to make the other fields work.
Comment 5 Tobias C. Berner freebsd_committer 2020-01-28 16:42:28 UTC
Moin moin

just define the VERSION plist sub appropriatly and leave the plist unchanged.


mfg Tobias
Comment 6 Tobias C. Berner freebsd_committer 2020-03-08 09:29:59 UTC
(In reply to Tobias C. Berner from comment #5)
Committed with this change.
Comment 7 commit-hook freebsd_committer 2020-03-08 09:30:17 UTC
A commit references this bug:

Author: tcberner
Date: Sun Mar  8 09:29:44 UTC 2020
New revision: 528007
URL: https://svnweb.freebsd.org/changeset/ports/528007

Log:
  graphics/glfw: update to 3.3.2

  PR:		243258
  Submitted by:	Neel Chauhan <neel@neelc.org>

Changes:
  head/graphics/glfw/Makefile
  head/graphics/glfw/distinfo